$KEYWORD_LIST = [
	"__ENCODING__",
	"__LINE__",
	"__FILE__",
	"BEGIN",
	"END",
	"alias",
	"and",
	"begin",
	"break",
	"case",
	"class",
	"def",
	"defined?",
	"do",
	"else",
	"elsif",
	"end",
	"ensure",
	"false",
	"for",
	"if",
	"in",
	"module",
	"next",
	"nil",
	"not",
	"or",
	"redo",
	"rescue",
	"retry",
	"return",
	"self",
	"super",
	"then",
	"true",
	"undef",
	"unless",
	"until",
	"when",
	"while",
	"yield"
]
	
def all_keywords()
	return $KEYWORD_LIST
end
def is_keyword?(name)
	name = name.to_s() if name.class() != "String"
	return all_keywords().include?(name)
end
def not_keyword?(name)
	return !is_keyword?(name)
end

alias keywords all_keywords
alias keyword? is_keyword?



